/**
 * Console provides a simple main(). This is a non-GUI version of XM.
 *
 * @author <a href="http://www.marchal.com">Beno&#238;t Marchal</a>
 */

package org.ananas.xm;

import java.io.File;

public class Console
{
   /**
    * Entry point for a Console (not GUI) version of XM.
    * It expects two parameters: source and target directories.
    * @param params command-line parameters
    */
   public final static void main(String[] params)
   {
      try
      {
         new DirectoryWalker(new File("rules.xsl"),
                             new DefaultMessager()).walk(params[0],params[1]);
      }
      catch(Exception e)
      {
         e.printStackTrace();
      }
   }
}
